"Fossies" - the Fresh Open Source Software Archive  

Source code changes of the file ".travis.yml" between
codespell-1.17.1.tar.gz and codespell-2.0.0.tar.gz

About: codespell checks source code and other text files for common misspellings.

.travis.yml  (codespell-1.17.1):.travis.yml  (codespell-2.0.0)
# vim ft=yaml # vim ft=yaml
# Multiple lines can be made a single "virtual line" because of how Travis # Multiple lines can be made a single "virtual line" because of how Travis
# munges each line before executing it to print out the exit status. It's okay # munges each line before executing it to print out the exit status. It's okay
# for it to be on multiple physical lines, so long as you remember: - There # for it to be on multiple physical lines, so long as you remember: - There
# can't be any leading "-"s - All newlines will be removed, so use ";"s # can't be any leading "-"s - All newlines will be removed, so use ";"s
dist: bionic dist: focal
language: python language: python
cache: pip cache: pip
python: python:
- 2.7
- 3.5 - 3.5
- 3.6 - 3.6
- 3.7 - 3.7
- 3.8 - 3.8
env: env:
REQUIRE_ASPELL=true REQUIRE_ASPELL=true
addons: addons:
apt: apt:
packages: packages:
skipping to change at line 33 skipping to change at line 32
- aspell-en - aspell-en
before_install: before_install:
- source tools/travis_tools.sh - source tools/travis_tools.sh
- SRC_DIR=$PWD - SRC_DIR=$PWD
- cd ~ - cd ~
- virtualenv --python=python venv - virtualenv --python=python venv
- source venv/bin/activate - source venv/bin/activate
- python --version # just to check - python --version # just to check
- pip install -U pip wheel # upgrade to latest pip find 3.5 wheels; wheel to avoid errors - pip install -U pip wheel # upgrade to latest pip find 3.5 wheels; wheel to avoid errors
- retry pip install pytest pytest-cov pytest-dependency flake8 coverage code - retry pip install codecov chardet "setuptools!=47.2.0" docutils
cov chardet setuptools docutils check-manifest - retry pip install aspell-python-py3
- if [ ${TRAVIS_PYTHON_VERSION:0:1} == "2" ]; then retry pip install aspell-
python-py2; fi
- if [ ${TRAVIS_PYTHON_VERSION:0:1} == "3" ]; then retry pip install aspell-
python-py3; fi
- cd $SRC_DIR - cd $SRC_DIR
- pip install -e ".[dev]" # install the codespell dev packages
install: install:
- python setup.py install - python setup.py install
script: script:
- codespell --help - codespell --help
- make check-dictionary - make check
- codespell --skip="codespell_lib/tests/test_basic.py,codespell_lib/data/*" - codespell --check-filenames --skip="./.git/*,*.pyc,./codespell_lib/tests/t
codespell_lib/ est_basic.py,./codespell_lib/data/*,./example/code.c,./build/lib/codespell_lib/t
ests/test_basic.py,./build/lib/codespell_lib/data/*"
# this file has an error # this file has an error
- "! codespell codespell_lib/tests/test_basic.py" - "! codespell codespell_lib/tests/test_basic.py"
- flake8
- if [ "$TRAVIS_PYTHON_VERSION" != "2.7" ]; then
python setup.py check --restructuredtext --strict;
fi;
- pytest codespell_lib
- make check-manifest
after_success: after_success:
- codecov - codecov
 End of changes. 6 change blocks. 
17 lines changed or deleted 8 lines changed or added

Home  |  About  |  Features  |  All  |  Newest  |  Dox  |  Diffs  |  RSS Feeds  |  Screenshots  |  Comments  |  Imprint  |  Privacy  |  HTTP(S)